<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
<title>
		<?php bloginfo('name'); ?>
		<?php if ( !(is_404()) &&
                 (is_single()) or
                 (is_page()) or
                 (is_archive()) )
      { ?> | <?php } ?>
		<?php wp_title(''); ?>
</title>

<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/images/favicon.ico" />
	
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
	
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<!--[if lt IE 7.]>
<script defer type="text/javascript" src="pngfix.js"></script>
<![endif]-->

<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/prototype.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/scriptaculous.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/combo.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/lightbox.js"></script>

<?php wp_head(); ?>
</head>
<body>

<div id="top">
	<div id="shelf" style="display: none;">
		<div id="shelfwrap">
			<div id="shelfcontent">
			"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur."  <a href="#" title="Read more about the author">[...]</a>
			</div>
		</div>
	</div>

	<div id="navigation">
		<ul id="navlinks">
			<li><a href="/" title="Return home">Blog</a></li>
			<li><a href="javascript:Effect.Combo('shelf', {duration: 0.5});" title="Colophon insert">Coloponic</a></li>
			<li><a href="#" title="Linkage Three">Links</a></li>
			<li><a href="#" title="Linkage Four">Contact</a></li>
			<li><a href="#lightbox1" rel="lightbox1" class="lbOn" title="View modal search">Search!</a></li>
		</ul>
		<div id="customHeader">
		<a id="wasabiText" href="#lightbox1" rel="lightbox1" class="lbOn" title="View modal search"><span>Wrinkle your nose</span></a>
		</div>
	</div>

	<div id="lightbox1" class="lightbox">
		<div id="modalWrapper">
			<div id="h2wrapper">
			<h2>Search</h2>
			</div>
				<div id="modal_desc">
					<p>View recent activity or <a href="#" class="lbAction" rel="deactivate" title="Return Home">close this</a>.</p>
				</div>
				<ul class="recents">
				<?php get_archives('postbypost', 8); ?>
				</ul>
				<?php include (TEMPLATEPATH . '/searchform.php'); ?>
		</div>
	</div>