<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">

	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="resource-type" content="document" />
	<meta name="author" content="Nofie Iman (http://nofieiman.com) and Forex Mentor (http://forex-trading-tutorial.com)" />
	<meta name="description" content="" />
	<meta name="keywords" content="" />
	<meta name="robots" content="index, follow"/>
	<meta name="copyright" content="Copyright 2004-2006 Nofie Iman"/>
	<meta name="distribution" content="global" />

	<title>
	<?php bloginfo('name'); ?>
	<?php if ( !(is_404()) &&
		(is_single()) or
		(is_page()) or
		(is_archive()) )
	{ ?> &raquo; <?php } ?>
	<?php wp_title(''); ?>
	</title>

	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
      <link rel="shortcut icon" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicon.ico" />

	<?php global $user_identity; get_currentuserinfo(); if ($user_identity) { ?>
	<style type="text/css">
	  #admin-bar { margin: 0; padding: 0; background: #f000ff; text-align: left; width: 100%; }
	  #admin-bar ul { margin: 0; padding: 4px; list-style-type: none; }
	  #admin-bar ul li { list-style-type: none; display: inline; margin: 0 10px; color: #ffffff;  }
	  #admin-bar ul li.login { margin-right: 30px; }
	  #admin-bar ul li.howdy { position: absolute; right: 1em; }
	  #admin-bar a { color: #ffffff; text-decoration: none;}
	  #admin-bar a:hover { color: #ffffff; }
	</style>
	<?php } ?>

	<?php wp_get_archives('type=monthly&format=link'); ?>

	<?php wp_head(); ?>

</head>
<body>

<?php global $user_identity,$user_level; get_currentuserinfo(); if ($user_identity) {
echo '<div id="admin-bar"><ul>';
echo "\n\t<li><a href='".get_settings('siteurl')."/wp-admin/'><strong>".__('Dashboard')." 	&#187;</strong></a></li>";
if ($user_level >= 1) {
echo '<li><a href="'.get_settings('siteurl').'/wp-admin/post.php">'.__('New Post').'</a></li>';
echo '<li><a href="'.get_settings('siteurl').'/wp-admin/page-new.php">'.__('New Page').'</a></li>';
}
echo "\n\t<li class=\"howdy\">".__('Logged in as ')." <strong>"."<a href='".get_settings('siteurl')."/wp-admin/profile.php'>".$user_identity."</a></strong>, ["; wp_loginout(); echo "]</li>";
echo "\n</ul></div>";
 } ?>

<div id="navmenu">
	<ul id="navigation">
		<li><a href="<?php echo get_settings('home'); ?>">Home</a></li>
		<?php wp_list_pages('title_li='); ?>
	</ul>
</div>

<div id="page">

<div id="header" onclick="location.href='<?php echo get_settings('home'); ?>';" style="cursor: pointer;">
	<div id="headerimg">
		<h1><a href="<?php echo get_settings('home'); ?>"><?php bloginfo('name'); ?></a></h1>
		<div class="description"><?php bloginfo('description'); ?></div>
	</div>
</div>
<hr />
