<?php get_header(); ?>

	<div id="content" class="narrowcolumn">

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>
				
			<div class="post">
				<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
					<div class="metalinks">
						<span class="categorylink"><?php the_category(', ') ?></span>
						<span class="datelink"><?php the_time(get_option('date_format')) ?></span>
						<?php global $user_identity; get_currentuserinfo(); if ($user_identity) { ?><span class="editlink"><?php edit_post_link('Edit'); ?></span><?php } ?>
					</div>		
				<div class="entry">
					<?php the_content('Read more &raquo;'); ?>
				</div>
		
				<p class="comments"><?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></p> 

				<!--
				<?php trackback_rdf(); ?>
				-->
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php posts_nav_link('','','&laquo; Previous') ?></div>
			<div class="alignright"><?php posts_nav_link('','Next &raquo;','') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center">Not Found</h2>
		<p class="center"><?php _e("Sorry, but you are looking for something that isn't here."); ?></p>

			<form method="get" id="searchform" action="<?php echo $_SERVER['PHP_SELF']; ?>">
			<div><input type="text" value="<?php echo wp_specialchars($s, 1); ?>" name="s" id="s" />
			<input type="submit" id="searchsubmit" value="Search" />
			</div>
			</form>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>