<?php get_header(); ?>

	<div id="content" class="narrowcolumn">

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

	<div class="post">
		<h2 id="post-<?php the_ID(); ?>"><a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>

		<div class="metalinks">
			<span class="categorylink"><?php the_category(', ') ?></span>
			<span class="datelink"><?php the_time(get_option('date_format')) ?></span>
			<?php global $user_identity; get_currentuserinfo(); if ($user_identity) { ?><span class="editlink"><?php edit_post_link('Edit'); ?></span><?php } ?>
		</div>

		<div class="entry">
			<?php the_content('<p>Read more &raquo;</p>'); ?>
	
			<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>

		</div>
	</div>

	<?php comments_template(); ?>

	<?php endwhile; else: ?>
	
		<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>

<?php endif; ?>
	
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>