<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

	<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
	
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats please -->

	<style type="text/css" media="screen">
		@import url( <?php bloginfo('stylesheet_url'); ?> );
	</style>

	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php wp_get_archives('type=monthly&format=link'); ?>

	<link rel="shortcut icon" href="<?php bloginfo('stylesheet_directory'); ?>/favicon.gif" />
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_directory'); ?>/pagebar.css"/>
	
	<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/javascript/global.js"></script>
	<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/javascript/prototype.js"></script>
	<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/javascript/scriptaculous.js?load=effects"></script>
	<script type="text/javascript" language="javascript" src="<?php bloginfo('stylesheet_directory'); ?>/javascript/qtip.js" ></script>
	<?php wp_head(); ?>
</head>
<body>
<a name="header"></a>
<div class="header_outside">
	<div id="header">
		<img src="<?php bloginfo('stylesheet_directory'); ?>/images/logo.jpg" style="float:left;">
		<a class="headernavigation_box" title="Zeig mir die RSS-Feeds" href="<?php echo get_settings('home'); ?>/feed/">RSS</a>
		<a class="headernavigation_box" title="Das Impressum" href="javascript: toggle('commentHider3');">Impressum</a>
		<a class="headernavigation_box" title="Artikel im &Uuml;berblick - Artikel, Kategorien und Archiv" href="javascript: toggle('commentHider2');"><strong>Blog&uuml;bersicht</strong></a>
		<a class="headernavigation_box" title="Zur&uuml;ck zur Startseite" href="<?php echo get_settings('home'); ?>">Startseite</a>
	</div>
</div>

<div id="mini-nav-box">
	<div class=" mini-nav" id="mini-nav-normal">
		<a href="#header" title="Springe nach oben"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/up.gif" alt="Springe nach oben" /></a>
		<a href="<?php echo get_settings('home'); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/home_icon.gif" alt="inicio" /></a>
		<a href="mailto:Meine@email.adresse.de"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/email_icon.gif" alt="mail me!" /></a>
		<a href="<?php echo get_settings('home'); ?>/feed/"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/rss_icon.gif" alt="sindicaci;&oacute;n" /></a>
		<a href="#footer" title="Springe nach unten"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/down.gif" alt="Springe nach unten" style="margin-bottom:-2px;" /></a>
	</div>
	
	<?php if (is_single()) { ?>
	<div class="mini-nav" id="mini-nav-php">
		<a href="#respond" title="Schreibe ein Kommentar"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/comment.gif" alt="Ein Kommentar schreiben" style="margin-bottom:-2px;"/></a>
	</div>
	<?php } ?>
</div>

<div id="content">

<div id="commentHider3" class="topfader" style="display: none;">
	<?php include('content_impressum.php');?>
</div>
<div id="commentHider2" class="topfader" style="display: none;">
	<?php include('content_bloguebersicht.php');?>
</div>

<br /><br />

<div id="wrap">
<div id="mcontent">
