<?php
// ========================================
// BloxPress - Custom Delicious Block
// ========================================
// 		author:   Kjell Bublitz
// 		created:  15.10.2006
// 		modified: 30.04.2006
// 		contact:  m3nt0r.de@gmail.com
// 		website:  www.bloxpress.org
// ========================================
/*
   BloxPress v2.0
   ----------------------
   Copyright (C) 2006, Kjell Bublitz
   www.bloxpress.org / kb@bloxpress.org

*/

if(!function_exists('fetch_rss'))
{
    require_once(dirname(__FILE__).'/../system/phplibs/rss_fetch.inc');
}

if(!function_exists('displayDeliRSS'))
{
    function displayDeliRSS($type,$user,$tag,$display = 10)
    {
    	switch($type)
        {
    		case "user":
    		    if($user != "") {
    		 	    $feedurl = "http://del.icio.us/rss/".$user;
    		 	} else {
    		 	    echo "You wanted to lookup a user, but you left user-field empty";
    		 	    exit;
    		 	}
    			break;
    		case "tag":
    		    if($tag != "") {
    		  	    $feedurl = "http://del.icio.us/rss/tag/".$tag;
    		  	} else {
    		 	    echo "You wanted to lookup a tag, but you left tag-field empty";
    		 	    exit;
    		  	}
    			break;
    		case "both":
        		if($user != "" && $tag != "") {
        			$feedurl = "http://del.icio.us/rss/".$user."/".$tag;
        		} else {
        			echo "You wanted to combine user and tag but one or both fields were empty";
        			exit;
        		}
    		break;
    	}


    	if ( $feedurl )
    	{
    		// this is for the stupid magpie error message
    		// if feed returns nothing. i check then for empty
    		// and return a proper message
    		ini_set("display_errors", false);

    		$rss = fetch_rss($feedurl);

    		if($rss == "") {
    			echo "<small>Error getting info from del.icio.us</small>";
    		exit;
    		}

    		echo '<p><small>Click <a href="http://'.$rss->channel["title"].'" title="Visit del.icio.us">here</a> to jump to del.icio.us</small></p>';

    		$rss = $rss->items;
    		echo '<ul class="links linklist" style="padding-top:0.5em;">';
    		foreach ($rss AS $item)
    		{

    		  	if ($display == 0) {
    		  			break;
    		  	}
    			$href = $item['link'];
    			$title = $item['title'];
    			$summary = $item['summary'];
    			$created = $item['created'];
    			$subject = $item['dc']['subject'];
    			$creator = $item['dc']['creator'];

    			$subject = strlen($subject) > 100 ? substr($subject, 0, 94) . " [...]" : $subject;
    			$summary = strlen($summary) > 100 ? substr($summary, 0, 94) . " [...]" : $summary;

    			echo "<li><a href=\"".$href."\" title=\"".$subject."\">".$title."</a></li>";
    			$display--;
    		}
    		echo '</ul>';


    		$cookie = $type.";".$user.";".$tag;
    		$cookie_old = $_COOKIE['bp-delicious'];
    		setcookie("bp-delicious", $cookie_old, time()-1, "/"); // delete cookie
    		setcookie("bp-delicious", $cookie, time()+36000000, "/"); // set cookie
    	}
    } // end function

}

$type = $_POST['type'];
$user = $_POST['user'];
$tag = $_POST['tag'];
$show = $_GET['show'];

displayDeliRSS($type, $user, $tag, $show);
?>