<?php
// ========================================
// BloxPress - RSS Block
// ========================================
// 		author:   Kjell Bublitz
// 		created:  04.10.2005
// 		modified: 07.05.2006
// 		contact:  m3nt0r.de@gmail.com
// 		website:  www.bloxpress.org
// ========================================
/*
   BloxPress v2.0
   ----------------------
   Copyright (C) 2006, Kjell Bublitz
   www.bloxpress.org / kb@bloxpress.org

*/


if(!function_exists('fetch_rss'))
{
    require_once(dirname(__FILE__).'/../system/phplibs/rss_fetch.inc');
}

$feedurl = $_POST['rssurl'];
$rssoutput = "";
$display = 10;

if($feedurl != "")
{
		// this is for the stupid magpie error message
		// if feed returns nothing. i check then for empty
		// and return a proper message
		// ini_set("display_errors", false);

		$rss = fetch_rss($feedurl); // fetch

		if($rss == "") {
			$rssoutput.= "<small>Problem fetching RSS feed</small>";
		    exit;
		}

		$rssoutput.= "\n\t<p><small>Channel: <strong>". $rss->channel['title'] ."</strong></small></p>\n";
		$rssoutput.= "\t\t<ul class=\"linklist\">\n";

		foreach ($rss->items as $item)
		{
			  	if ($display == 0) {
			  			break;
			  	}
		  		srand((double)microtime()*1000000);

				$storyhref = $item['link'];
				$storytext = htmlentities(utf8_decode(strip_tags(trim($item['description']))),ENT_QUOTES);
				$title = $item['title'];
				$storyid = "rss".rand(0,10000);
                $storytext = str_replace("\n","<br>",$storytext);
                $storytext = str_replace("\r","",$storytext);

				$rssoutput.= "\t\t\t<li id=\"".$storyid."\">";
                $rssoutput.= '<a href="javascript:;" class="readrss">'.$title.'</a>';
                $rssoutput.= '<div class="rss_story" style="display:none" id="'.$storyid.'"><h3>'.$title.'</h3>'.$storytext.'</div>';
                $rssoutput.= "</li>\n";

				$display--;
		}
		$rssoutput.= "\t</ul>\n";


		$cookie_old = $_COOKIE['bp-rss'];					// get our cookie
		$cookiefeeds = explode('|',$cookie_old); 			// make cookiestring an array

		if(count($cookiefeeds) > 0) { 					    // do we already have urls in that cookie?
			if(!in_array($feedurl,$cookiefeeds)) { 			// is the current url not a dupe?
				$cookie_new = $cookie_old."|".$feedurl; 	// append (i use pipe here, coz if seen urls with semicolon)
			}
		} else {
            $cookie_new = $feedurl;							// no urls found, set current to be the first
	    }

		// we are done, kill it and refresh
		setcookie("bp-rss", $cookie_old, time()-1, "/");
        setcookie("bp-rss", $cookie_new, time()+36000000, "/");
}

echo $rssoutput;
?>