<?php
/*
    Caption: Layouts
    Messsage: Layout Switch
    Description: Let your users switch your availble layouts
    Author: Kjell Bublitz
    Homepage: http://www.bloxpress.org
*/
if(!function_exists('bloginfo')){
    include(dirname(__FILE__)."/../../../../wp-blog-header.php");
}

// get presets and template
$presets = get_option( 'bp_presets' );
$template = get_option( 'bp_template' );
$preset_names = array_keys($presets);
$presetcount = 0;
foreach($preset_names as $preset ){
    if($preset == $template) {
        $layout_names = array_keys($presets[$template]);
        foreach($layout_names as $layout) {
            $presetcount++;
            $layoutlist.='<li><a href="#" onclick="Bloxpress.layoutLoad(\''.$layout.'\',\''.$template.'\');return false;">'.ucfirst($layout).'</a></li>';
        }
    }
}
?>
<ul class="layouts">
        <?php echo $layoutlist; $layoutlist = ""; ?>
</ul>
