<?php
/*
   BloxPress2
   ----------------------
   Copyright (C) 2006, Kjell Bublitz
   www.bloxpress.org / kb@bloxpress.org

   Bloxpress Adminpage: Options

*/
add_action('admin_menu', 'bloxpress_general');
function bloxpress_general() { add_submenu_page('themes.php', 'Bloxpress Options', 'Bloxpress Options', 5, BP_BASEDIR.'/system/admin_options.php', 'bloxpress_generalHTML'); }

function bloxpress_generalHTML()
{
    global $message, $themeData;

    if($_POST['update']=='now')
    {
        $bpOptions = get_option('bp_options');
        $bpOptions['noURLMessage'] = $_POST['bp_noURLMessage'];
        $bpOptions['noTextMessage'] = $_POST['bp_noTextMessage'];
        $bpOptions['commentMessage'] = $_POST['bp_commentMessage'];
        $bpOptions['addblockHelp'] = $_POST['bp_addblockHelp'];
        $bpOptions['loadIconImage'] = $_POST['bp_imgLoading'];
        $bpOptions['searchIconImage'] = $_POST['bp_imgSearch'];
        $bpOptions['errorIconImage'] = $_POST['bp_imgError'];
        $bpOptions['closeIconImage'] = $_POST['bp_imgClose'];
        $bpOptions['minIconImage'] = $_POST['bp_imgMin'];
        $bpOptions['maxIconImage'] = $_POST['bp_imgMax'];
        $bpOptions['statefulLinks'] = $_POST['bp_statefulLinks'];
        $bpOptions['resetSuccess'] = $_POST['bp_txtResetSuccess'];
        $bpOptions['resetRevert'] = $_POST['bp_txtResetRevert'];
        $bpOptions['expandAll'] = $_POST['bp_txtExpandAll'];
        $bpOptions['collapseAll'] = $_POST['bp_txtCollapseAll'];
        $bpOptions['blockMenuTarget'] = $_POST['bp_blockmenuTarget'];

        // template menu
        $bpNewTemplate = $_POST['bp_template'];
        if($bpNewTemplate != get_option('bp_template')) {
            $themeData = bp_get_theme_data( BP_BASEDIR . '/templates/'.$bpNewTemplate.'/style.css' );
            $bpOptions['blockMenuTarget'] = $themeData['blockMenu'];
            update_option('bp_template', $bpNewTemplate );
        }
        update_option( 'bp_options', $bpOptions );

        switch(bp_write_js_config())
        {
            case '1': $message = 'Settings saved. Config saved. :) Refreshing in 1, 2..';
            $url = 'http://'.$_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'].'?page='.$_GET['page'];
            echo '<meta http-equiv="refresh" content="2; URL='.$url.'">';

            break;
            case '2': $message = 'Settings saved. Config could not be opened for writing (system/cache/).'; break;
            case '3': $message = 'Settings saved. Config could not be written. (system/cache/).'; break;
        }


    }

    // show menu
    if(get_option('bp_version')):
    $bpOptions = get_option('bp_options');
    $localversion = get_option('bp_version');
?>

<?php if($message){ ?>
    <div id="message" class="updated fade"><p><?php echo $message ?></p></div>
<?php } ?>
    <div id="dropmessage" class="updated" style="display:none;"></div>
    <script src="<?php echo BP_BASEURL; ?>/system/javascript/libraries/prototype.js" type="text/javascript"></script>
    <script type="text/javascript">
        <!--
            function swapElement(elementId) {
                // i wonder why such function is not default in wp-admin :/
                element = document.getElementById(elementId);
                if(element.style.display=='none') {
                    element.style.display='block';
                } else {
                     element.style.display='none';
                }
                return false;
            }
        //-->
    </script>

<div class="wrap">
<form action="" method="post" name="bloxpress">
<input type="hidden" name="update" value="now" />

    <h2>Presentational Options</h2>

    <table class="editform" cellpadding="5" cellspacing="2" width="100%">

        <tr valign="top"><td colspan="2"><h3>Template</h3><p>You can switch Templates here.</p></td></tr>

        <th scope="row" width="33%" valign="top"><label for="opt0">Current Template:</label></th>
        <td>
                <ul style="list-style-type:none;margin:0;padding:0;">
                    <li><strong>Name:</strong> <?php echo $themeData['name']; ?></li>
                    <li><strong>Description:</strong> <?php echo $themeData['desc']; ?></li>
                    <li><strong>Author:</strong> <?php echo $themeData['author']; ?></li>
                    <li><strong>Version:</strong> <?php echo $themeData['version']; ?></li>
                </ul>

        </td></tr>

        <th scope="row" width="33%">
        <label for="opt0">Change Template:</label></label></th><td><?php bp_template_select() ?></td></tr>

        <tr valign="top"><td colspan="2">
        <p style="text-align:right;"><input type="reset" value="Discard Changes" /> <input type="submit" value="Save Settings" /></p>
        <h3>Notifies</h3><p>Various messages that popup if something is going on somewhere.</p></td></tr>

            <th scope="row" width="33%"><label for="opt1">If input is not a URL</label></th><td><input id="opt1" type="text" name="bp_noURLMessage" value="<?php echo $bpOptions['noURLMessage']; ?>" size="30" /></td></tr>
            <th scope="row" width="33%"><label for="opt2">If input was empty</label></th><td><input id="opt2" type="text" name="bp_noTextMessage" value="<?php echo $bpOptions['noTextMessage']; ?>" size="30" /></td></tr>
            <th scope="row" width="33%"><label for="opt3">If ajax is processing comment</label></th><td><input id="opt3" ype="text" name="bp_commentMessage" value="<?php echo $bpOptions['commentMessage']; ?>" size="30" /></td></tr>

        <tr valign="top"><td colspan="2">
        <p style="text-align:right;"><input type="reset" value="Discard Changes" /> <input type="submit" value="Save Settings" /></p>
        <h3>Blockmenu</h3><p>This is the helptext below the blocklist. If you think it's not sufficient then change it here</p></td></tr>

            <tr valign="top">
                <th scope="row" width="33%"><label for="opt5">Helptext:</label></th>
                <td><textarea id="opt5" name="bp_addblockHelp" cols="40" rows="5"><?php echo $bpOptions['addblockHelp']; ?></textarea></td>
            </tr>
            <tr valign="top"><th scope="row" width="33%"><label for="opt24">Blockmenu Target</label></th><td><input id="opt24" type="text" name="bp_blockmenuTarget" value="<?php echo $bpOptions['blockMenuTarget']; ?>" size="30" /><br /><small>The blockmenu will be generated into this div. Good for initial positioning</small></td></tr>

        <tr valign="top"><td colspan="2">
        <p style="text-align:right;"><input type="reset" value="Discard Changes" /> <input type="submit" value="Save Settings" /></p>
        <h3>Images</h3><p>These images are located within the current active img folder (or at least should.. ;)</p></td></tr>

            <tr valign="top"><th scope="row" width="33%"><label for="opt6">Activity indicator</label></th><td><input id="opt6" type="text" name="bp_imgLoading" value="<?php echo $bpOptions['loadIconImage']; ?>" size="30" /></td></tr>
            <tr valign="top"><th scope="row" width="33%"><label for="opt7">Search indicator</label></th><td><input id="opt7" type="text" name="bp_imgSearch" value="<?php echo $bpOptions['searchIconImage']; ?>" size="30" /></td></tr>
            <tr valign="top"><th scope="row" width="33%"><label for="opt8">Remove Icon (blocks)</label></th><td><input id="opt8" type="text" name="bp_imgClose" value="<?php echo $bpOptions['closeIconImage']; ?>" size="30" /></td></tr>
            <tr valign="top"><th scope="row" width="33%"><label for="opt30">Minimize Icon (blocks)</label></th><td><input id="opt30" type="text" name="bp_imgMin" value="<?php echo $bpOptions['minIconImage']; ?>" size="30" /></td></tr>
            <tr valign="top"><th scope="row" width="33%"><label for="opt31">Maximize Icon (blocks)</label></th><td><input id="opt31" type="text" name="bp_imgMax" value="<?php echo $bpOptions['maxIconImage']; ?>" size="30" /></td></tr>
            <tr valign="top"><th scope="row" width="33%"><label for="opt9">Error Icon (forms)</label></th><td><input id="opt9" type="text" name="bp_imgError" value="<?php echo $bpOptions['errorIconImage']; ?>" size="30" /></td></tr>


        <tr valign="top"><td colspan="2">
            <p style="text-align:right;"><input type="reset" value="Discard Changes" /> <input type="submit" value="Save Settings" /></p>
            <h3>Stateful Links</h3><p>If a special javascript link is clicked then change the text to "clicked". Javascript will then revert the linktext to "default".</p></td></tr>

            <tr valign="top">
                <th scope="row" width="33%"><label for="opt10">Stateful-links feature</th>
                <td> <?php if($bpOptions['statefulLinks'] == 'true'){echo ' <span style="color:green">Enabled!</span> ';}else{echo ' <span style="color:red">Disabled</span> '; } ?>

                 <select id="opt10" name="bp_statefulLinks">
                     <option value="true"<?php if($bpOptions['statefulLinks'] == 'true'){echo ' selected';} ?>>Enable Stateful Links</option>
                     <option value="false"<?php if($bpOptions['statefulLinks'] == 'false'){echo ' selected';} ?>>Disable Stateful Links</option>
                </select></td>
            </tr>

            <tr valign="top"><th scope="row" width="33%"><label for="opt11">Reset Layout: Clicked</label></th><td><input id="opt11" type="text" name="bp_txtResetSuccess" value="<?php echo $bpOptions['resetSuccess']; ?>" size="30" /></td></tr>
            <tr valign="top"><th scope="row" width="33%"><label for="opt12">Reset Layout: Default</label></th><td><input id="opt12" type="text" name="bp_txtResetRevert" value="<?php echo $bpOptions['resetRevert']; ?>" size="30" /></td></tr>
            <tr valign="top"><th scope="row" width="33%"><label for="opt13">Swap Post-content: Clicked</label></th><td><input id="opt13" type="text" name="bp_txtExpandAll" value="<?php echo $bpOptions['expandAll']; ?>" size="30" /></td></tr>
            <tr valign="top"><th scope="row" width="33%"><label for="opt14">Swap Post-content: Default</label></th><td><input id="opt14" type="text" name="bp_txtCollapseAll" value="<?php echo $bpOptions['collapseAll']; ?>" size="30" /></td></tr>

    </table>

    <p style="text-align:right;"><input type="reset" value="Discard Changes" /> <input type="submit" value="Save Settings" /></p>

</div>

    <? else: ?>
    <div class="wrap" style="position:relative;">

        <h2>Thanks for using Bloxpress2</h2>
        <p>I hope you enjoyed it. Visit <a href="http://www.bloxpress.org">www.bloxpress.org</a> for latest infos.</p>
        <p>If you had other reasons for uninstalling rather then just to change the look of your site, please let me know so i can improve Bloxpress based on your expirience.</p>

        <h3>Have a nice day!</h3>
        <p style="text-align:right;color:#888"><small>Uninstalled by accident? Don't worry. Refresh the page to restore Bloxpress default options.</small></p>
    </div>
    <? endif;
    } // endoptions
?>