/**
 * BloxPress2
 * ----------------------
 * Copyright (C) 2006, Kjell Bublitz
 * www.bloxpress.org
 *
 * @fileoverview Bloxpress Extras: Misc functions
 * @author Kjell Bublitz kb@bloxpress.org
 * @version 1.2
 */

function rss_showStory(wtitle, wcontent, wlink)
{
    var story = '<div class="rssStory"><h2><a href="' + wlink + '" title="visit for full view">' + wtitle + '</a></h2><p>' + wcontent + '</p><p><a href="' + wlink + '" title="visit for full view">view original</a> &bull; <a href="javascript:;" onclick="new Effect.SwitchOff(this.parentNode.parentNode)">close</a></p></div>';
    Insertion.Top('center', story);
}

/**
 * NotifyBuilder
 * @returns Div-element object
 */
function buildNotify(type, notifyMessage)
{
    var noticeImage, nofityElement;
    switch (type)
            {
        case 'loading':
            noticeImage = tplpath + '/img/' + loadIconImage;
            break;

        case 'error':
            noticeImage = tplpath + '/img/' + errorIconImage;
            break;
    }
    nofityElement = Builder.node('div', {id:'indicator',className:'nofity'}, [
            Builder.node('img', {src:noticeImage,style:'vertical-align:middle'}),
            ' ' + notifyMessage + ' ',
            Builder.node('a', {href:'javascript:;',onclick:'Element.remove(this.parentNode)'}, [
                    'OK'
                    ])
            ]);

    return nofityElement;
}


/**
 * SwitchOn effect
 */
Effect.SwitchOn = function(element) {
    element = $(element);
    var dims = element.getDimensions();
    return new Effect.Scale(element, 100, {
        duration: 0.3, scaleFromCenter: true, scaleFrom: window.opera ? 1 : 0,
        scaleMode: { originalHeight: dims.height, originalWidth: dims.width },
        scaleX: false, scaleContent: false, restoreAfterFinish: true,
        beforeSetup: function(effect) {
            effect.element.makePositioned();
            effect.element.makeClipping();
            effect.element.show();
        },
        afterFinishInternal: function(effect) {
            effect.element.undoClipping();
            effect.element.undoPositioned();
            Effect.Appear(effect.element, {
                duration: 0.4, from: 0,
                transition: Effect.Transitions.flicker
            });
        }
    });
}
