<?php bp_get_header(); ?>
<?php bp_get_sidebar(); ?>

     <div id="posts">
     <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

      <div class="post" id="post<?php the_id(); ?>">

          <div id="postheader<?php the_id(); ?>" class="posthead">

               <h2><a href="<?php the_permalink(); ?>" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>

               <p>
                    <a href="javascript:;" class="contentswitch" title="Minimize/Maximize this post"><img src="<?php bp_template_url(); ?>/img/icon_swap.gif" alt="Switch content on/off" /></a>
                    <a href="javascript:;" class="gotocomments" title="Jump to comments"><img src="<?php bp_template_url(); ?>/img/icon_comment.gif" alt="Goto Comments" /></a>
               </p>

          </div>

          <p class="postmeta"><?php the_time('F jS, Y'); ?> by <?php the_author(); ?> <?php edit_post_link('Edit', '&bull; '); ?><br />Posted in <?php the_category(', '); ?></p>

          <div id="postcontent<?php the_id(); ?>" class="postcontent">
               <?php the_content(); ?>
               <p class="commentlink"><?php comments_popup_link('No comments yet', '1 comment so far', '% comments so far', 'comments-link', 'Comments are closed'); ?></p>
          </div>

         <?php comments_template(); ?>
     </div>

    <?php endwhile; else: ?>

    <h3>Not found</h3>
    <p><?php _e('Sorry, no posts matched your criteria.'); ?></p>

    <?php endif; ?>

   </div>
<?php bp_get_footer(); ?>