<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>

<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />

<?php
	global $hemingway;
?>
	<?php 
	if( $hemingway->toggle == "" ){
		$toggle = "disable";
	}
	else {
		$toggle = $hemingway->toggle;
	}
	 if( $toggle == "enable" ){?>
	<script src="<?php bloginfo('stylesheet_directory'); ?>/lib/prototype.js" type="text/javascript"></script>
	<script src="<?php bloginfo('stylesheet_directory'); ?>/src/scriptaculous.js" type="text/javascript"></script>
	<script src="<?php bloginfo('stylesheet_directory'); ?>/src/unittest.js" type="text/javascript"></script>
	<?php }?> 
<link rel="shortcut icon" href="<?php echo get_settings('home'); ?>/favicon.ico" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_head(); ?>
<style type="text/css" media="screen">
<?php 
if ($hemingway->logo == ''){
	$ulogo='none';
}
else{
	$ulogo=$hemingway->logo;
}
if ($ulogo != 'none') {?>
	#header{
		height:100px;
	}
	#header h2{
		position:absolute;
		border:none;
		top:0;
	}
	#header h2 a{
		background:transparent url("<?php bloginfo('stylesheet_directory'); ?>/logos/<?php echo $hemingway->logo ?>") no-repeat 0 0;
		display:block;
		position:absolute;
		line-height:400px;
		height:100px;
		width:300px;
		border:none;
		overflow:hidden;
	}
	#header p{
		display:none;
	}
<?php }?>
<?php 
if ($hemingway->bg == ''){
	$ubg='none';
}
else{
	$ubg=$hemingway->bg;
}
if ($ubg != 'none') {?>
	#header{
		height:100px;
		background:transparent url("<?php bloginfo('stylesheet_directory'); ?>/bgs/<?php echo $hemingway->bg ?>") repeat 0 0;
	}
<?php }?>
</style>
</head>
<body>
<?php if ( (function_exists('designby')) ) { ?>
<div id="utombox">
	<div id="header">
		<div class="inside">
		<div class="utom">
			<div id="search">
				<form method="get" id="sform" action="<?php bloginfo('home'); ?>/">
 					<div class="searchimg"></div>
					<input type="text" id="q" value="<?php echo wp_specialchars($s, 1); ?>" name="s" size="15" />
				</form>
			</div>
			
			<h2><a href="<?php echo get_settings('home'); ?>/" title="<?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a></h2>
			<p class="description"><?php bloginfo('description'); ?></p>
		</div>
		</div>
	</div>
	<!-- [END] #header -->
	<div id="menu">
		<div class="utom_menu">
			
				<ul class="menu">
				<li class="<?php if (((is_home()) && !(is_paged())) or (is_archive()) or (is_single()) or (is_paged()) or (is_search())) { ?>current_page_item<?php } else { ?>page_item<?php } ?>"><a href="<?php echo get_settings('home'); ?>">Blog</a></li>
				<?php wp_list_pages('sort_column=menu_order&depth=1&title_li='); ?>
				<?php wp_register('<li class="admintab">','</li>'); ?>
				<li class="utom_menu_b"></li>
				</ul>
			
		</div>
	  </div>
<?php }?>