<?php get_header(); ?>

	<div id="primary" class="single-post">
	<div class="inside">
	<div class="utom">
		<div class="primary">

			<?php if (have_posts()) : ?>
	
			<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
			<?php /* If this is a category archive */ if (is_category()) { ?>				
			<h1>Archive for the '<?php echo single_cat_title(); ?>' Category</h1>
			
			<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
			<h1>Archive for <?php the_time('F jS, Y'); ?></h1>
			
		 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h1>Archive for <?php the_time('F, Y'); ?></h1>
	
			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<h1>Archive for <?php the_time('Y'); ?></h1>
			
			<?php /* If this is a search */ } elseif (is_search()) { ?>
			<h1>Search Results</h1>
			
			<?php /* If this is an author archive */ } elseif (is_author()) { ?>
			<h1>Author Archive</h1>
	
			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h1>Blog Archives</h1>
	
			<?php } ?>


		 
		 	<?php while (have_posts()) : the_post(); ?>
			<div class="story">
						<div class="datetime"><?php the_time('M') ?><span><?php the_time('jS') ?></span></div>
						<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h3>
						
						<div class="postin">
							<span class="p_author"><?php the_author() ?></span>
							<span class="p_category"><?php the_category(', ') ?></span>
							<?php if ( (function_exists('UTW_ShowTagsForCurrentPost')) ) { ?><span class="p_tags"><?php UTW_ShowTagsForCurrentPost("commalist") ?></span><?php }?>
							<span class="p_read"><a href="<?php the_permalink() ?>">Read on</a></span>
						</div>
			</div>
			<?php endwhile; ?>
		
		
		<div class="navigation">
			<div class="left"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="right"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		</div>

	
	<?php else : ?>

		<h1>Not Found</h1>

	<?php endif; ?>
		
	</div>
	
	<div class="secondary">
		<h2>About the archives</h2>
		<div class="featured">
			<p>Welcome to the archives here at <?php bloginfo('name'); ?>. Have a look around.</p>
			
		</div>
	</div>
	<div class="secondary2">
		<?php get_calendar() ?>
	</div>
	<div class="clear"></div>
	</div>
	</div>
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>