<?php
/*
    Caption: Flickr
    Messsage: Flickr Streamer
    Description: Search Flickr for tags, groups or users.
    Author: Kjell Bublitz
    Homepage: http://www.bloxpress.org
*/


    // Include wordpress and blockcode, if not already there
    if(!function_exists('bloginfo')){ include(dirname(__FILE__)."/../../../../wp-blog-header.php"); }
    if(!function_exists('displayFlickrRSS')){ include(dirname(__FILE__)."/../bcode/block_flickr.php"); }

    // Read Flickr Cookie, if any
    if(!isset($_COOKIE['bp-flickr'])) {
        $nocookie = true;
    } else {
        $flickr = explode(';', urldecode($_COOKIE['bp-flickr']));

        $type 	= $flickr[0];
        $user 	= $flickr[1];
        $tag 	= $flickr[2];
        $group  = $flickr[3];
        $show   = $flickr[4];

        $nocookie = false;
    }

    // now here comes the HTML controls and container
?>
<div>
    <form action="<?php bloginfo('template_directory'); ?>/bcode/block_flickr.php" method="post" class="flickr random" name="flickrform" id="flickrform">
      <fieldset>
        <input type="hidden" class="hiddenRandom" name="randomID" value="" />

        <label for="user">UserID:</label>
        <input type="text" id="user" name="user" tabindex="1" <?php if($nocookie): ?> value="" <?php else: ?> value="<?php echo $user; ?>" <?php endif; ?> />

        <br />

        <label for="tag">Tag:</label>
        <input type="text" id="tag" name="tag" tabindex="2" <?php if($nocookie): ?> value="" <?php else: ?> value="<?php echo $tag; ?>" <?php endif; ?> />

		<br />

		<label for="group">Group:</label>
		<input type="text" id="group" name="group" tabindex="3" <?php if($nocookie): ?> value="" <?php else: ?> value="<?php echo $group; ?>" <?php endif; ?> />

		<br />

		<label for="type">Type:</label>
		<select id="type" name="type" tabindex="4">
			    <option value="tag"<?php if($type=='tag'){echo ' selected';} ?>>Tag</option>
				<option value="user"<?php if($type=='user'){echo ' selected';} ?>>User</option>
				<option value="both"<?php if($type=='both'){echo ' selected';} ?>>Both</option>
				<option value="group"<?php if($type=='group'){echo ' selected';} ?>>Group</option>
		</select>&nbsp;<select id="show" name="show" tabindex="5">
				<option value="1"<?php if($show=='1'){echo ' selected';} ?>>1</option>
				<option value="5"<?php if($show=='5'){echo ' selected';} ?>>5</option>
				<option value="10"<?php if($show=='10'){echo ' selected';} ?>>10</option>
		</select>
        <button type="submit" tabindex="6">Go!</button>
      </fieldset>
	</form>

    <?php if($nocookie): // show empty ?>

	<div class="random" id="results" style="display:none">

	</div>

    <?php else: // has cookie, show stream ?>

    <div class="random" id="results" style="display:block">
        <?php displayFlickrRSS($type, $user, $tag, $group, $show); ?>
    </div>

    <?php endif; ?>

</div>