/**
 * BloxPress2
 * ----------------------
 * Copyright (C) 2006, Kjell Bublitz
 * www.bloxpress.org
 *
 * @type: Script
 * @fileoverview Bloxpress Loader
 * @author Kjell Bublitz kb@bloxpress.org
 * @version 1.7
 */
var Bloxpress, BloxpressBuilder, BloxpressDom, BloxpressLayout, BloxpressBehaviour;
var minImagePath = themepath + jsiFolder + minIconImage;
var maxImagePath = themepath + jsiFolder + maxIconImage;
var closeImagePath = themepath + jsiFolder + closeIconImage;
var spinnerImagePath = themepath + jsiFolder + loadIconImage;
var searchImagePath = themepath + jsiFolder + searchIconImage;
var cursorGrabbing = 'url('+tplpath+'system/styles/grabbing.cur)';
var cursorGrab = 'url('+tplpath+'system/styles/grab.cur)';

var minImage = new Image(); minImage.src = minImagePath;
var maxImage = new Image(); maxImage.src = maxImagePath;

// Jay, we have Javascript!
window.document.write('<link rel="stylesheet" type="text/css" media="screen" href="' + tplpath + 'system/styles/activatejs.css" />');
window.document.write('<link rel="stylesheet" type="text/css" media="screen" href="' + tplpath + 'system/styles/bloxpress.css" />');

// Init Class
BloxpressSystem = {
    scripts: new Array(
        'bp_cookie', 'bp_recover', 'bp_main', 'bp_behaviour', 'bp_mozdom',
        'bp_blocks', 'bp_builder', 'bp_layout', 'bp_ajaxreq', 'bp_extras'
    ),
    start: function() {
        Bloxpress.initialize();
    },
    include: function(jsFile) {
        window.document.write('<script type="text/javascript" src="' + tplpath + 'system/javascript/bloxpress/' + jsFile + '"></script>');
    },
    run: function() {
        for (var i = 0; i < this.scripts.length; i++) this.include(this.scripts[i] + '.js'); runFast = new FastInit(function() { BloxpressSystem.start() });
    }
}

// gogogo!
BloxpressSystem.run();

